/ api / name / gb.alloc
GB.Alloc
Syntax

    void GB.Alloc ( void **addr , long len )

Allocates a memory block.

- addr will receive the address of the allocated memory block.
- len is the amount of bytes to allocate.

| You should use this function instead of `malloc()` if you need to allocate memory, as this function raises an error if the allocation failed, and the interpreter will tell you if you forgot to release an allocation.

### See also

Memory Management